### 5.1.137 slimgb

`Syntax:`
  `slimgb (` ideal_expression`)`
  `slimgb (` module_expression`)`
`Type:`
  ideal or module
`Purpose:`
  slim Groebner bases

  Returns a Groebner basis of an ideal or module with respect to the monomial ordering of the basering (which has to be global).

`Note:`
  The algorithm is designed to keep polynomials slim (short with small coefficients). For details see `http://www.mathematik.uni-kl.de/~zca/Reports_on_ca/35/paper_35_full.ps.gz`. A reduced Groebner basis is returned if option(redSB) is set (see option(redSB)). To view the progress of long running computations, use option(prot) (see option(prot)).

`Example:`

        ring r=2,(x,y,z),lp;
        poly s1=z*(x*y+1);
        poly s2=x2+x;
        poly s3=y2+y;
        ideal i=s1,s2,s3;
        slimgb(i);
      ==> _[1]=y2+y
      ==> _[2]=x2+x
      ==> _[3]=yz+z
      ==> _[4]=xz+z

See groebner; ideal; option; ring; std.

User manual for Singular version 4-0-3, 2016, generated by texi2html.